%define	major	3
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname -d %{name}

Summary:	QR Code encoder into PNG image
Name:		qrencode
Version:	3.4.4
Release:	%mkrel 1
Group:		File tools
License:	LGPLv2+
URL:		http://megaui.net/fukuchi/works/qrencode/index.en.html
Source0:	http://megaui.net/fukuchi/works/qrencode/%{name}-%{version}.tar.xz
BuildRequires:	%{_lib}png-devel
BuildRequires:	doxygen

%description
Qrencode is a utility software using libqrencode to encode string data in a
QR Code and save as a PNG image.


%package devel
Summary:	The development files for the qrencode library
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description devel
Libqrencode is a C library for encoding data in a QR Code symbol, a kind of 2D
symbology that can be scanned by handy terminals such as a mobile phone with
CCD. The capacity of QR Code is up to 7000 digits or 4000 characters, and is
highly robustness.

Libqrencode supports QR Code model 2, described in JIS (Japanese Industrial
Standards) X0510:2004 or ISO/IEC 18004.

This package contains the development files for the qrencode library.

%prep
%setup -q

%build
%configure2_5x \
	--enable-shared \
	--disable-static \
	--disable-rpath \
	--with-tools
	
%make

%install
rm -rf %buildroot
%makeinstall_std

# update doxyfiles
doxygen -u

# manual
doxygen

# we don't want these
find %{buildroot} -name "*.la" -delete


%files
%{_bindir}/%{name}
%{_mandir}/man1/*
%doc ChangeLog NEWS README TODO html/
%{_libdir}/lib%{name}.so.%{major}*

%files devel
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

%clean
rm -rf %buildroot

%changelog
* Fri Aug 22 2014 bb <bb> 3.4.4-1pclos2014
- update for glabels
